<template name="SalesMarginsEditor">
  <div class="sales-margins-manager">
    <h1>Sales margins</h1>
    {{#if availableCategories}}
      {{> SalesMarginsForm }}
    {{/if}}
    {{#each salesMargins}}
      {{> SalesMarginsRow }}
      {{> BrandsMarginEditorToggle }}
    {{/each}}
  </div>
</template>

<template name="SalesMarginsForm">
  <form data-action="create-sales-margin">
    <div class="">
      Categories
      <select name="category-margin">
        {{#each availableCategories}}
          <option value="{{ _id }}">{{ name }}</option>
        {{/each}}
      </select>
      <input type="text" name="sales-margin" value="{{ information.defaultMargin }}">
      <input type="submit" value="Add sales margin">
    </div>
  </form>
</template>

<template name="SalesMarginsRow">
  <h2>
    <button type="button" name="remove" data-action="remove-category-margin">&times;</button>
    {{categoryName}}
  </h2>
  <p>
    Default margin (%):
    <input type="text" data-action="edit-category-default-sales-margin" name="category-default-sales-margin" value="{{defaultMargin}}">
  </p>
</template>

<template name="BrandsMarginEditorToggle">
  <button data-view-action="toggle-brands-editor">Toggle brands</button>
  <ul class="hidden-by-default">
    <p>Brands</p>
    <p>
      {{#if availableBrands}}
        {{> BrandsDropDownList}}
      {{/if}}
      {{#each brands}}
        {{> BrandMarginEditor}}
      {{/each}}
    </p>
  </ul>
  <br>
</template>

<template name="BrandsDropDownList">
  <form data-action="create-brand-sales-margin">
    <div class="">
      Brands
      <select name="brand-margin">
        {{#each availableBrands}}
          <option value="{{ _id }}">{{ name }}</option>
        {{/each}}
      </select>
      <input type="text" name="brand-sales-margin" value="{{ information.defaultMargin }}">
      <input type="submit" value="Add brand sales margin">
    </div>
  </form>
</template>

<template name="BrandMarginEditor">
  <li>
    <button type="button" name="remove" data-action="remove-brand-sales-margin">&times;</button>
    <label for="brand">{{ brandName.name }} </label>
    <input type="text" data-action="update-brand-sales-margin" name="margin"  value="{{ this.margin }}">
  </li>
</template>
